Amicus Premium and Timeslips 2017 - Cannot see Timeslips database


Connecting to Timeslips 2017 database freezes Amicus

In order to link Timeslips 2017 with Amicus Premium 2016 you will are running Timeslips Build 25.5.7.241 or higher.

You can check your Timeslips version by opening Timeslips and going to Help – About Sage Timeslips.

To download the latest patch from Timeslips.

Please visit the Sage Timeslips website and download your latest patch.

Once the patch has been installed please restart the Amicus PE server and Amicus daily Check services as well as the Timeslips DB service.

AmicusServices.png

You will then be able to link the two programs.

It is not necessary to Reset the link.

Add Comment

Rate this article: